org.infinispan.schematic.document

## Class Null

- java.lang.Object
- - org.infinispan.schematic.document.Null

-     @Immutable
      @SerializeWith(value=Null.Externalizer.class)
      public class Null
      extends Object

  An object representation of 'null'. This is sometimes more convenient than dealing with 'null' as values.
  Since:
    5.1

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Null.Externalizer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static Null` | `INSTANCE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Object` | `clone()` There should only be on instance of this (though there may be others due to serialization).
    `boolean` | `equals(Object obj)`
    `static Null` | `getInstance()`
    `int` | `hashCode()`
    `static boolean` | `matches(Object value)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          protected static final Null INSTANCE

  - ### Method Detail

    - #### getInstance

          public static final Null getInstance()

    - #### matches

          public static final boolean matches(Object value)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### clone

          protected final Object clone()

      There should only be on instance of this (though there may be others due to serialization).
      Overrides:
        `clone` in class `Object`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.